Subject: Linux-Activists Digest #18
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 4 Apr 92 10:15:09 EST

Linux-Activists Digest #18, Volume #2             Sat, 4 Apr 92 10:15:09 EST

Contents:
  Second 0.95a alpha-patch, part 1/2 (Linus Benedict Torvalds)

----------------------------------------------------------------------------

From: [email-masked] (Linus Benedict Torvalds)
Crossposted-To: alt.os.linux
Subject: Second 0.95a alpha-patch, part 1/2
Date: 4 Apr 92 14:42:10 GMT

This is the promised patch to 0.95a, which hopefully corrects some of
the problems encountered.  This is /not/ an offical new release: it's
just a set of patches to get the same kernel I am currently running.

Bugfixes:

- extended partitions should finally work correctly (this release also
  contains code for the hd-ioctl call, needed for fdisk).  Code mostly
  by hedrick.

- I corrected my original ptrace-fix (writing a long word to another
  process' data space could fail with my original patches)

- 387-emulation bug with the instructions "fcom[p] %st(x)" which
  resulted in bad results on non-387 machines with newer versions of
  gcc.  The emulation is still ugly, but it seems to work.

- the cooked mode deletion/linekill bugs should be fixed.

- various error-returns were wrong: I correted some of them (thanks to
  bruce evans who pointed them out).  The bad error-values resulted in
  incorrect or spurious error-messages from 'rm' etc. 

- various minor fixes (including some in the hd-driver: this might help
  persons with unexpected-interrupt and/or timeout errors)

Additionally this version contains VFS-code from entropy, and a
readdir() system call needed for the VFS.  The latter was inspired by
patches sent by Remy Card, who did it with a getdirents sys-call.  My
version is slightly simpler, but is probably slower.  Things might yet
change. 

The installation has also changed slightly: the keyboard type and
math-emulation are specified in the main Makefile.  That one also
contains the -fcombine-regs flag needed for 1.40.  The other makefiles
should no longer need editing. 

I've also incorporated the ps095 kernel patches: to get the actual
user-level stuff you still have to get the ps-distribution.  Printer
ports /still/ aren't in there, but this time I positively /promise/ to
put it in next week.  Really. 

People who have been patching their kernel might have problems getting
this patch to work: it was made against a clean 0.95a kernel.  I'll
consider a patched-up kernel version 0.95c - and I'd appreciate if
future patches to me would be sent against this version.  I'll still
accept older patches, or course. 

                Linus

====================
begin 644 diffs.Z

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.95a released on March 17, 1992

End of Linux-Activists Digest
******************************